import numpy as np
import pandas as pd
sys.path.append('/home/ylindf/projects/tools')

include_cols = [
    'MSSubClass',
    'MSZoning',
    'LotFrontage',
    'LotArea',
    'Utilities',
    'Condition2',
    'HouseStyle',
    'OverallQual',
    'OverallCond',
    'RoofMatl',
    'Exterior1st',
    'Exterior2nd',
    'MasVnrArea',
    'ExterQual',
    'ExterCond',
    'BsmtQual',
    'BsmtCond',
    'BsmtExposure',
    'BsmtFinType1',
    'BsmtFinSF1',
    'BsmtFinType2',
    'BsmtFinSF2',
    'BsmtUnfSF',
    'TotalBsmtSF',
    'Heating',
    'HeatingQC',
    'Electrical',
    '1stFlrSF',
    '2ndFlrSF',
    'LowQualFinSF',
    'GrLivArea',
    'BsmtFullBath',
    'BsmtHalfBath',
    'FullBath',
    'HalfBath',
    'BedroomAbvGr',
    'KitchenAbvGr',
    'KitchenQual',
    'TotRmsAbvGrd',
    'Functional',
    'Fireplaces',
    'FireplaceQu',
    'GarageCars',
    'GarageArea',
    'GarageQual',
    'GarageCond',
    'WoodDeckSF',
    'OpenPorchSF',
    'EnclosedPorch',
    '3SsnPorch',
    'ScreenPorch',
    'PoolArea',
    'MiscVal',
    'Street__Grvl',
    'Street__Pave',
    'LotShape__IR1',
    'LotShape__IR2',
    'LotShape__IR3',
    'LotShape__Reg',
    'LandContour__Bnk',
    'LandContour__HLS',
    'LandContour__Low',
    'LandContour__Lvl',
    'LotConfig__Corner',
    'LotConfig__CulDSac',
    'LotConfig__FR2',
    'LotConfig__FR3',
    'LotConfig__Inside',
    'LandSlope__Gtl',
    'LandSlope__Mod',
    'LandSlope__Sev',
    'Neighborhood__Blmngtn',
    'Neighborhood__Blueste',
    'Neighborhood__BrDale',
    'Neighborhood__BrkSide',
    'Neighborhood__ClearCr',
    'Neighborhood__CollgCr',
    'Neighborhood__Crawfor',
    'Neighborhood__Edwards',
    'Neighborhood__Gilbert',
    'Neighborhood__IDOTRR',
    'Neighborhood__MeadowV',
    'Neighborhood__Mitchel',
    'Neighborhood__NAmes',
    'Neighborhood__NPkVill',
    'Neighborhood__NWAmes',
    'Neighborhood__NoRidge',
    'Neighborhood__NridgHt',
    'Neighborhood__OldTown',
    'Neighborhood__SWISU',
    'Neighborhood__Sawyer',
    'Neighborhood__SawyerW',
    'Neighborhood__Somerst',
    'Neighborhood__StoneBr',
    'Neighborhood__Timber',
    'Neighborhood__Veenker',
    'Condition1__Artery',
    'Condition1__Feedr',
    'Condition1__Norm',
    'Condition1__PosA',
    'Condition1__PosN',
    'Condition1__RRAe',
    'Condition1__RRAn',
    'Condition1__RRNe',
    'Condition1__RRNn',
    'BldgType__1Fam',
    'BldgType__2fmCon',
    'BldgType__Duplex',
    'BldgType__Twnhs',
    'BldgType__TwnhsE',
    'RoofStyle__Flat',
    'RoofStyle__Gable',
    'RoofStyle__Gambrel',
    'RoofStyle__Hip',
    'RoofStyle__Mansard',
    'RoofStyle__Shed',
    'MasVnrType__BrkCmn',
    'MasVnrType__BrkFace',
    'MasVnrType__None',
    'MasVnrType__Stone',
    'Foundation__BrkTil',
    'Foundation__CBlock',
    'Foundation__PConc',
    'Foundation__Slab',
    'Foundation__Stone',
    'Foundation__Wood',
    'CentralAir__N',
    'CentralAir__Y',
    'GarageType__2Types',
    'GarageType__Attchd',
    'GarageType__Basment',
    'GarageType__BuiltIn',
    'GarageType__CarPort',
    'GarageType__Detchd',
    'GarageType__None',
    'GarageFinish__Fin',
    'GarageFinish__None',
    'GarageFinish__RFn',
    'GarageFinish__Unf',
    'PavedDrive__N',
    'PavedDrive__P',
    'PavedDrive__Y',
    'SaleCondition__Abnorml',
    'SaleCondition__AdjLand',
    'SaleCondition__Alloca',
    'SaleCondition__Family',
    'SaleCondition__Normal',
    'SaleCondition__Partial',
    'Bathrooms',
    'Rooms',
]
remove_cols = [
    'YearBuilt',
    'YearRemodAdd',
    'MoSold',
    'YrSold',
    'SaleType',
    'SalePrice',
    'SaleCondition',
    'TotalUsedSF',
    'YearsSinceRemodeled'
]

class HousePrice(object):
    def __init__(self):
        self.df = pd.read_csv("/home/ylindf/projects/data/house/preprocessed_train.csv")
        # self.dftest = pd.read_csv("/home/ylindf/projects/data/house/preprocessed_test.csv")
